#include "general.h"

// wait short time (set up times and such)
void waitSomeOps(void)
{
	for (statusBits.loopCounter = 0; statusBits.loopCounter < 14; statusBits.loopCounter++);
}

// round signed 16 bit integer mathematically
int16_t roundSigned16BitInteger(double number)
{
	int numberWithoutDec = (int16_t)number;
	if(number < 0)
	{
		if((numberWithoutDec - number) >= 0.5) { numberWithoutDec--; }
	} else {
		if((number - numberWithoutDec) >= 0.5) { numberWithoutDec++; }
	}
	return numberWithoutDec;
}

// round signed integer mathematically
int roundSignedInteger(double number)
{
	int numberWithoutDec = (int)number;
	if(number < 0)
	{
		if((numberWithoutDec - number) >= 0.5) { numberWithoutDec--; }
	} else {
		if((number - numberWithoutDec) >= 0.5) { numberWithoutDec++; }
	}
	return numberWithoutDec;
}
