#include <avr/io.h>

#ifndef PS2_H
#define PS2_H

#define ps2_DATA_get 1
#define ps2_CLOCK_get 0
#define ps2_DATA_put 5
#define ps2_CLOCK_put 4

extern void waitClockLow(void);
extern void waitClockHigh(void);
extern void discardBit(void);
extern void send8bits(uint8_t);
extern void wait11bits(void);
extern void sendParity(uint8_t);
extern void openHostToDeviceComm(void);
extern void ps2_send(uint8_t);
extern uint8_t ps2_get(void);

#endif
