#include <avr/io.h>

#ifndef GENERAL_H
#define GENERAL_H

extern void waitSomeOps(void); // wait some cycles
extern int16_t roundSigned16BitInteger(double); // round int16_t
extern int roundSignedInteger(double); // round int

// counters
struct status
{
	int loopCounter : 4;
	int cycleBit : 4;
} statusBits;

uint8_t received; // buffer for received data

int16_t xMouse, yMouse; // 
uint8_t signs; // first packet: overflows, signs for movement, buttons

int xDistTotal, yDistTotal, turnTotal; // total values of turning and moving

int16_t xOut, yOut; // totals divided down to 0..255
int16_t turnOut;

#endif
